summaryrefslogtreecommitdiff
path: root/extra/fluidsynth
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/fluidsynth
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/fluidsynth')
-rw-r--r--extra/fluidsynth/PKGBUILD46
-rw-r--r--extra/fluidsynth/fluidsynth.conf2
-rw-r--r--extra/fluidsynth/fluidsynthd40
3 files changed, 88 insertions, 0 deletions
diff --git a/extra/fluidsynth/PKGBUILD b/extra/fluidsynth/PKGBUILD
new file mode 100644
index 000000000..831b180cf
--- /dev/null
+++ b/extra/fluidsynth/PKGBUILD
@@ -0,0 +1,46 @@
+# $Id: PKGBUILD 102552 2010-12-08 07:09:52Z schiv $
+# Maintainer: Ray Rashif <schiv@archlinux.org>
+# Contributor: damir <damir@archlinux.org>
+
+pkgname=fluidsynth
+pkgver=1.1.3
+pkgrel=2
+pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications"
+arch=(i686 x86_64)
+url="http://www.fluidsynth.org/"
+depends=('glib2' 'jack' 'dbus-core' 'libpulse')
+makedepends=('cmake' 'ladspa' 'doxygen')
+optdepends=('pulseaudio'
+ 'bash: init script')
+license=('LGPL')
+backup=('etc/conf.d/fluidsynth')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ fluidsynth.conf
+ fluidsynthd)
+md5sums=('0d3e3cc770b4da413010dfb7dfdce9c8'
+ '16c5f4d4cbdddc6c5fcbd4fd4cc142f1'
+ 'b296dbfb524c2164f552f68bd9abe2ec')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ cmake . -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -Denable-ladspa=ON \
+ -DLIB_SUFFIX=""
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir/" install
+
+ install -Dm644 "$srcdir/fluidsynth.conf" \
+ "$pkgdir/etc/conf.d/fluidsynth"
+
+ install -Dm755 "$srcdir/fluidsynthd" \
+ "$pkgdir/etc/rc.d/fluidsynth"
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/extra/fluidsynth/fluidsynth.conf b/extra/fluidsynth/fluidsynth.conf
new file mode 100644
index 000000000..5267d5835
--- /dev/null
+++ b/extra/fluidsynth/fluidsynth.conf
@@ -0,0 +1,2 @@
+FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
+FSYNTH_SOUNDFONT="" \ No newline at end of file
diff --git a/extra/fluidsynth/fluidsynthd b/extra/fluidsynth/fluidsynthd
new file mode 100644
index 000000000..ca1e8fa6e
--- /dev/null
+++ b/extra/fluidsynth/fluidsynthd
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+ start)
+ stat_busy "Starting Fluidsynth soundfont synthesizer"
+ [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/fluidsynth.pid
+ add_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Fluidsynth soundfont synthesizer"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/fluidsynth.pid
+ rm_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0